gnutls_hash_squeeze(3)

NAME
gnutls_hash_squeeze - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_hash_squeeze(gnutls_hash_hd_t handle, void * output, size_t length);

ARGUMENTS

gnutls_hash_hd_t handle
    a gnutls_hash_hd_t

void * output
    destination to store the output; must be equal to or larger than length

size_t length
    length of output

DESCRIPTION
This function will extract digest output of length bytes. The handle must be initialized with gnutls_hash_init() as an extended output function (XOF), such as GNUTLS_DIG_SHAKE_128 or GNUTLS_DIG_SHAKE_256.

This function can be called multiple times. To reset the state of handle , call gnutls_hash_deinit() with NULL as the digest argument.

RETURNS
GNUTLS_E_SUCCESS (0) on success; negative error code otherwise.

SINCE
3.8.6

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/